DevartEntityDeploy Bug VS2013 and DotConnect 6.8

DevartEntityDeploy Bug VS2013 and DotConnect 6.8

Postby tim.micheletto » Thu 02 Jan 2014 03:21

Hi,

Our company has purchased a site license for Postgres dot connect pro v6.

After much time spent trouble shooting a Metadata type load exception, I've discovered it's a bug with DC 6.8.333 and VS 2013 where the resources are not embedded in the assembly because the DevartEntityDeploy target is not executed.

I see there is a fix for this in version 7 but it doesn't look like this bug fix been released for version 6. We don't have a license for v7 so we cannot upgrade to VS2013 with this bug.

Does this mean therefore that only v7 onwards is VS2013 compatible? Surely as v6.8 allows you to install against VS2013 the bug fix should be released in v6 too?

Regards,

Tim
tim.micheletto
 
Posts: 1
Joined: Thu 02 Jan 2014 03:06

Re: DevartEntityDeploy Bug VS2013 and DotConnect 6.8

Postby Shalex » Thu 02 Jan 2014 11:30

tim.micheletto wrote:Does this mean therefore that only v7 onwards is VS2013 compatible?

Visual Studio 2013 is supported in dotConnect for PostgreSQL starting from the 7.1.26 build: http://www.devart.com/dotconnect/postgresql/revision_history.html. We recommend using the latest (7.2.65) build. Please upgrade.

tim.micheletto wrote:Surely as v6.8 allows you to install against VS2013 the bug fix should be released in v6 too?

We include a new functionality (and bug fixes) only in the new builds of dotConnect for PostgreSQL.

tim.micheletto wrote:We don't have a license for v7 so we cannot upgrade to VS2013 with this bug.

Please contact our Sales department (sales at devart dot com) to check the status of your subscription.
Shalex
Devart Team
 
Posts: 7654
Joined: Thu 14 Aug 2008 12:44


Return to dotConnect for PostgreSQL